// $ sudo apt-get install libusb-1.0-0-dev
// gcc -Wall -g -O2 -I/usr/local/include/ -o interface_joy2key interface_joy2key-0.0.2.c -lusb
// http://www.dreamincode.net/forums/topic/148707-introduction-to-using-libusb-10/

#include <errno.h>
#include <signal.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <usb.h>

#include "xboxdrv.hpp"

int main(int argc, char **argv)
{
	int  controller_id = 0;
	int instant_exit = 0;
	//uInputCfg uinput_config;

	usb_init();
	usb_find_busses();
	usb_find_devices();

	struct usb_device* dev      = 0;
	struct usb_dev_handle* handle = usb_open("/dev/input/js0");

	return -1;
}
